Entries Tagged 'Linux' ↓

Блог-клиенты под Линукс

Установил все блог-клиенты, которые числились в “Add/Remove Programs” в разделе “Internet”.

  1. Blog Entry Poster – совершенно простая и бесполезная программа. Бесполезная потому что вместо русских букв постит в блог кракозябры. Умеет постить только в один блог. Но поддерживае при этом стандартный джентельменский набор движков: Livejournal, Blogger.com, WordPress, MovableType и что-то ещё. Из редактирования умеет только расставлять болд и италик. Не рекомендуется к использованию.
  2. BloGTK – даже не запустился. Не рекомендуется к использованию.
  3. Drivel Journal Editor – ничо так. С русским языком работает корректно. Для ЖЖ поддерживает почти все опции для записи: настроение, юзерпик, приватность и т.д. Но не поддерживает таги (программа последний раз обновлялась в августе 2006 года). Умеет редактировать старые записи. Опции визуального редактирования незамысловаты, но их вполне достаточно. Поддерживает работу сразу с несколькими аккаунтами. Умеет работать с Livejournal, Blogger.com и с любым блогом, поддерживающим интерфейс Blogger 2.0 (в том числе и WordPress). Вроде бы умеет уведомлять об обновлении френд-ленты в ЖЖ. Рекомендуется к использованию, если не важны таги в ЖЖ.
  4. LogJam – предназначен для работы исключительно с Livejournal. Но именно с этой задачей справляется вполне успешно. Поддерживает все опции для записи. С русским языком работает корректно. Стандартный минимальный набор опций для визуального редактирования. Поддерживает работу с несколькими аккаунтами. Умеет редактировать старые записи. Вроде бы умеет уведомлять об обновлении френд-ленты, но я не проверял. В общем можно пользоваться, если кроме ЖЖ больше ничего не нужно. С точки зрения интерфейса Drivel понравился мне больше.

Выбор редакции: LogJam – если нужна поддержка только ЖЖ, Drivel – для всего остального.

Проапгрейдил Кубунту

После апгрейда Кубунты с 7.10-beta до 7.10 оно, естественно, не загрузилось. Так как правильные параметры загрузки в grub они предусмотрительно убрали, заменив их на неправильные дефолтные.

Kopete тупо умирает при попытке приконектиться к msn.

Kubuntu

Таки поставил на ноут Кубунту.

Почему Линукс не подходит нормальному пользователю:

  1. На стадии загрузки с установочного CD надо прописать опции noapic nolapic, иначе оно тупо виснет.
  2. Те же опции надо прописать в /boot/grub/menu.lst
  3. После установки не работает интернет в Конкверере. Нужно в его настройках отключить кэш. Без кэша работает. Вроде бы после перезагрузки можно включить кэш обратно, но не уверен.
  4. Не работает менеджер пакетов: нельзя обновить пакеты, нельзя поставить новый софт. Например, если зайти в Add/Remove Programs, то Firefox в списке будет сереньким, выбрать его для установки нельзя. Чо делать – хуй знает. В мануале про это не пишут 🙂 Попытка запросить информацию об обновленных пакетов просто тупо виснет в районе 0-20%. Чтобы понять, в чем дело, нужно пойти в консоль и сделать руками sudo apt-get update. И пронаблюдать, как оно адрес любого удаленного репозитория резолвит в ip 1.0.0.0. При этом nslookup на то же имя возвращает нормальный результат (!). Если стать рутом и сделать тот же apt-get update – адреса волшебным образом начинают резолвиться правильно. В форумах пишут, что это проблема с роутером. Но мой мозг не может понять, как проблема роутера существует для обычного пользователя, и не существует для рута. Они что, через разные роутеры ходят?! У меня он вроде один вон на столе стоит. Ни у винды, ни у мака такой проблемы нет. Как ни смешно, прописывание dns интернет-провайдера в /etc/resolv.conf вместо адреса роутера помогло, и пакеты стали апдейтится ни только из-под рута. Задачка на засыпку для нормального пользователя: найти адреса DNS-серверов Стрима 🙂
  5. При апдейте пары сотен пакетов, для которых нашлись обновления (не говоря о том, что это 300+ мегабайт), на стадии установки оно ругается на jre, мол не может его установить, и весь апдейт на этом прекращается. Зря скачали 300 мегабайт 🙂
  6. Блядь, ну и почему они уже на протяжении 7 лет (только на моей памяти) не могут сделать в Линуксе нормальные шрифты (особенно русские)?!